Bug 1393486 - [RFE] Dynamic DNS
Summary: [RFE] Dynamic DNS
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Ben Bennett
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On: 1347822
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-09 16:27 UTC by Eric Rich
Modified: 2019-04-19 09:50 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1347822
Environment:
Last Closed: 2019-04-18 21:16:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1413729 low CLOSED [DOCS] Service Serving Certificate primary usecase is for "re-encrypt routes" 2020-10-14 00:28:05 UTC

Description Eric Rich 2016-11-09 16:27:33 UTC
+++ This bug was initially created as a clone of Bug #1347822 +++

Description of problem:
As a user I want my routes to work as as soon as they are created. 
As an admin of OpenShift I want OpenShift to dynamicly create DNS entries so that I do not have to have a "wildcard" DNS entry for my router[s]. 

By default with some OpenShift configurations a "wildcard" dns name is used, and "default" routes are defined when I expose a service, however this relies on a "wildcard DNS entry" that some corporate policies may not allow. 

For this reason, OpenShift needs to be able to dynamically configure a DNS service of my choosing (like with v2) and create DNS entries (CNAMES) that point to the router[s] in the OpenShift cluster.

Comment 2 Eric Rich 2017-01-16 20:21:52 UTC
Note: We probably want to consider wiring Dynamic DNS to automatic certificate creation: https://docs.openshift.com/container-platform/3.3/dev_guide/secrets.html#service-serving-certificate-secrets


Note You need to log in before you can comment on or make changes to this bug.